dpkg-statoverride(1)

NAAM
dpkg-statoverride - eigenaarschap en modus van bestanden wijzigen

OVERZICHT
dpkg-statoverride [optie...] commando

BESCHRIJVING
“stat overrides” zijn een manier om aan dpkg(1) te laten weten dat het bij het installeren van een pakket een andere eigenaar of modus moet gebruiken voor een bepaald pad (dit is van toepassing op elk bestandssysteemobject dat dpkg verwerkt, met inbegrip van mappen, apparaten, enz.). Dit kan gebruikt worden om af te dwingen dat programma's die normaal setuid zijn, geïnstalleerd worden zonder een setuid-vlag of dat ze enkel uitgevoerd kunnen worden door een bepaalde groep.

dpkg-statoverride is een hulpmiddel voor het beheren van de lijst met statusmodificaties (stat overrides). Het heeft drie basisfuncties: toevoegen, verwijderen en opsommen van modificaties.

COMMANDO'S

--add gebruiker groep modus pad
    Een statusmodificatie toevoegen voor pad. pad moet niet reeds bestaan of bekend zijn voor dpkg op het ogenblik dat dit commando gebruikt wordt. De modificatie zal opgeslagen worden en later gebruikt worden. Gebruikers en groepen kunnen bij hun naam opgegeven worden (bijvoorbeeld root of nobody), of met hun nummer door voor dat nummer een ‘#’ te plaatsen (bijvoorbeeld #0 of #65534). De modus moet als octaal getal opgegeven worden.

    Indien --update opgegeven wordt en pad bestaat, dan wordt dat onmiddellijk op de nieuwe eigenaar en modus ingesteld.

--remove pad
    Een statusmodificatie verwijderen voor pad. De status zelf van pad wordt door dit commando niet gewijzigd.

--list [glob-patroon]
    Alle modificaties (overrides) opsommen. Beperk de uitvoer tot modificaties die overeenkomen met het glob-patroon, indien een glob-patroon opgegeven werd.

--help
    Info tonen over het gebruik en afsluiten.

--force-help
    Hulp bieden over de opties --force-iets (sinds dpkg 1.19.5).

--version
    De versie tonen en afsluiten.

OPTIES

--admindir map
    De administratieve map instellen op map. Dit is waar het statusmodificatie-bestand opgeslagen is. Standaard is dat «/var/lib/dpkg» indien DPKG_ADMINDIR niet werd ingesteld.

--instdir map
    Instellen van de installatiemap, welke verwijst naar de map waar pakketten geïnstalleerd worden (sinds dpkg 1.19.2). Standaard is dat «/» indien DPKG_ROOT niet ingesteld werd.

--root map
    De hoofdmap instellen op map, hetgeen de installatiemap instelt op «map» en de administratieve map op «map/var/lib/dpkg» (sinds dpkg 1.19.2) indien DPKG_ROOT niet werd ingesteld.

--force-dingen
--no-force-dingen, --refuse-dingen
    Het uitvoeren van sommige dingen opleggen of weigeren (no-force en refuse betekenen hetzelfde) (sinds dpkg 1.19.5). dingen is een door komma's gescheiden lijst van hierna gespecificeerde zaken. --force-help geeft er een beschrijving van weer. Zaken die met een (*) gemarkeerd zijn, worden standaard opgelegd.

    Waarschuwing: Deze opties zijn vooral bedoeld om enkel door experts gebruikt te worden. Er gebruik van maken zonder een volkomen begrip van hun effecten kan uw volledig systeem defect maken.

    all:
        Schakelt alle forceer-opties aan (of uit).

    statoverride-add:
        Bij het toevoegen ervan een bestaande statusmodificatie overschrijven (sinds dpkg 1.19.5).

    statoverride-remove:
        Bij het verwijderen ervan een ontbrekende statusmodificatie negeren (sinds dpkg 1.19.5).

    security-mac(*):
        Bij het installeren van bestanden op het bestandssysteem gebruik maken van platformspecifieke beveiliging, gebaseerd op Mandatory Access Controls (MAC) (since dpkg 1.19.5). Op Linux-systemen gebruikt de implementatie SELinux.

    not-root:
        Proberen om zaken te (de-)installeren, zelfs als niet-systeembeheerder (sinds dpkg 1.21.8).

--force
    Een actie verplicht maken, zelfs als een redelijkheidstoets deze anders zou verbieden. Dit is noodzakelijk om een bestaande modificatie (override) te wijzigen.

--update
    Proberen om onmiddellijk het pad, als dat bestaat, in te stellen op de nieuwe eigenaar en modus.

--quiet
    Minder breedsprakig zijn over wat er gedaan wordt.

AFSLUITSTATUS

0   De gevraagde actie werd succesvol uitgevoerd.

1   Voor --list, indien er geen modificaties (overrides) zijn of geen enkele beantwoordt aan het opgegeven glob-patroon.

2   Fatale of onherstelbare fout die te wijten is aan ongeldig gebruik van de commandoregel of aan interacties met het systeem, zoals het benaderen van de database, het toewijzen van geheugen, enz.

OMGEVING

DPKG_ROOT
    Indien dit ingesteld is en de opties --instdir of --root niet opgegeven werden, zal dit gebruikt worden als de hoofdmap voor het bestandssysteem (sinds dpkg 1.19.2).

DPKG_ADMINDIR
    Indien dit ingesteld is en de opties --admindir of --root niet opgegeven werden, zal dit gebruikt worden als de datamap voor dpkg.

DPKG_DEBUG
    Stelt het foutopsporingsmasker in (sinds dpkg 1.21.10) vanaf een octale waarde. De momenteel geaccepteerde vlaggen worden beschreven in de optie dpkg --debug, maar mogelijk hebben niet al deze vlaggen effect op dit programma.

DPKG_FORCE
    Indien dit ingesteld is en geen enkele van de opties --force-... opgegeven werd, zal dit gebruikt worden als de te gebruiken forceer-opties (sinds dpkg 1.19.5).

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.22.7). Geldige waarden zijn: 0 and 1 (standaard).

DPKG_PATH_PASSWD
    Stelt de padnaam in voor het systeembestand passwd. Dit pad is relatief ten opzichte van de map --root. De standaardwaarde is /etc/passwd.

    Sinds dpkg 1.22.16.

DPKG_PATH_GROUP
    Stelt de padnaam in voor het systeembestand group. Dit pad is relatief ten opzichte van de map --root. De standaardwaarde is /etc/group.

    Sinds dpkg 1.22.16.

BESTANDEN

/var/lib/dpkg/statoverride
    Bestand dat de huidige lijst van statusmodificaties van het systeem bevat. Het bevindt zich in de administratieve map van dpkg samen met andere bestanden die van belang zijn voor dpkg, zoals status en available.

    Opmerking: dpkg-statoverride bewaart de oude kopie van dit bestand met de extensie “-old” vooraleer het dit door het nieuwe bestand vervangt.

ZIE OOK
dpkg(1).